#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    void tablet();
    void kalkulacka();
    void skript();

private:
    Ui::MainWindow *ui;

private slots:


private slots:
    void on_pushButton_obyvacka_aktualna_clicked();
    void on_pushButton_spalna_svetlo_1_1_clicked();
    void on_pushButton_spalna_svetlo_1_0_clicked();
    void on_pushButton_kupelna_svetlo_1_1_clicked();
    void on_pushButton_kupelna_svetlo_1_0_clicked();
    void on_pushButton_chodba_svetlo_1_1_clicked();
    void on_pushButton_chodba_svetlo_1_0_clicked();
    void on_toolButton_poznamky_clicked();
    void on_pushButton_clicked();
    void on_pushButton_kuchyna_svetlo_4_1_clicked();
    void on_pushButton_kuchyna_svetlo_4_0_clicked();
    void on_pushButton_kuchyna_svetlo_3_1_clicked();
    void on_pushButton_kuchyna_svetlo_3_0_clicked();
    void on_pushButton_kuchyna_svetlo_2_1_clicked();
    void on_pushButton_kuchyna_svetlo_1_0_clicked();
    void on_pushButton_kuchyna_svetlo_2_0_clicked();
    void on_pushButton_kuchyna_svetlo_1_1_clicked();
    void on_verticalSlider_kuchyna_roleta_3_valueChanged(int value);
    void on_verticalSlider_kuchyna_roleta_2_valueChanged(int value);
    void on_verticalSlider_kuchyna_roleta_1_valueChanged(int value);
    void on_verticalSlider_kuchyna3_valueChanged(int value);
    void on_verticalSlider_kuchyna2_valueChanged(int value);
    void on_verticalSlider_kuchyna1_valueChanged(int value);
    void on_verticalSlider_obyvacka_roleta_3_valueChanged(int value);
    void on_verticalSlider_obyvacka_roleta_1_valueChanged(int value);
    void on_verticalSlider_obyvacka_roleta_2_valueChanged(int value);
    void on_verticalSlider_obyvacka3_valueChanged(int value);
    void on_verticalSlider_obyvacka2_valueChanged(int value);
    void on_verticalSlider_obyvacka1_valueChanged(int value);
    void on_toolButton_spat3_5_clicked();
    void on_toolButton_rolety_clicked();
    void on_pushButton_obyvacka_svetlo_1_1_clicked();
    void on_pushButton_obyvacka_svetlo_1_0_clicked();
    void on_pushButton_obyvacka_svetlo_2_1_clicked();
    void on_pushButton_obyvacka_svetlo_2_0_clicked();
    void on_pushButton_obyvacka_svetlo_3_1_clicked();
    void on_pushButton_obyvacka_svetlo_3_0_clicked();
    void on_pushButton_obyvacka_svetlo_4_1_clicked();
    void on_pushButton_obyvacka_svetlo_4_0_clicked();
    void on_pushButton_obyvacka_svetlo_5_1_clicked();
    void on_pushButton_obyvacka_svetlo_5_0_clicked();
    void on_pushButton_obyvacka_svetlo_6_1_clicked();
    void on_pushButton_obyvacka_svetlo_6_0_clicked();
    void on_pushButton_obyvacka_svetlo_7_1_clicked();
    void on_pushButton_obyvacka_svetlo_7_0_clicked();
    void on_pushButton_obyvacka_svetlo_8_1_clicked();
    void on_pushButton_obyvacka_svetlo_8_0_clicked();
    void on_toolButton_spat3_4_clicked();
    void on_toolButton_osvetlenie_clicked();
    void on_pushButton_zatiahnut_kuchyna_clicked();
    void on_pushButton_vytiahnut_kuchyna_clicked();
    void on_toolButton_6_clicked();
    void on_toolButton_5_clicked();
    void on_pushButton_kuchyna_zhasnut_clicked();
    void on_toolButton_spat3_3_clicked();
    void on_toolButton_kuchyna_clicked();
    void on_pushButton_obyvacka_zhasnut_clicked();
    void on_pushButton_vytiahnut_obyvacka_clicked();
    void on_pushButton_zatiahnut_obyvacka_clicked();
    void on_toolButton_kalkulacka_clicked();
    void on_pushButton_svetlo2_clicked();
    void on_pushButton_svetlo1_clicked();
    void on_pushButton_svetlo3_clicked();
    void on_pushButton_svetlo4_clicked();
    void on_pushButton_svetlo5_clicked();
    void on_pushButton_svetlo6_clicked();
    void on_pushButton_svetlo7_clicked();
    void on_pushButton_svetlo8_clicked();
    void on_pushButton_svetlo2_2_clicked();
    void on_pushButton_svetlo1_2_clicked();
    void on_pushButton_svetlo3_2_clicked();
    void on_pushButton_svetlo4_2_clicked();
    void on_pushButton_svetlo5_2_clicked();
    void on_pushButton_svetlo6_2_clicked();
    void on_pushButton_svetlo7_2_clicked();
    void on_pushButton_svetlo8_2_clicked();
    void on_toolButton_clicked();
    void on_toolButton_2_clicked();
    void on_toolButton_obyvacka_clicked();
    void on_toolButton_spat3_clicked();
    void on_toolButton_spat2_clicked();
    void on_toolButton_izby_clicked();
    void on_toolButton_ovladanie_clicked();
    void on_toolButton_spat1_clicked();
    void on_toolButton_hudba_clicked();
    void on_toolButton_budik_clicked();
    void on_toolButton_zaznam_clicked();
    void on_pushButton_svetlo2_5_clicked();
    void on_pushButton_svetlo1_5_clicked();
    void on_pushButton_svetlo3_5_clicked();
    void on_pushButton_svetlo4_5_clicked();

    void on_pushButton_svetlo2_6_clicked();
    void on_pushButton_svetlo1_6_clicked();
    void on_pushButton_svetlo3_6_clicked();
    void on_pushButton_svetlo4_6_clicked();

};

#endif // MAINWINDOW_H
